<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vue Bai 1</title>
    <script src="https://cdn.jsdelivr.net/npm/vue@2"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios@0.12.0/dist/axios.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/lodash@4.13.1/lodash.min.js"></script>
</head>
<body>
    <div id="app">
        <b>Ví dụ 1:</b>
        <p>{{ message }}</p>
    </div><hr>
    <div id="app-2">
        <span v-bind:title="message">
           <b>Ví dụ 2: </b> Trỏ chuột vào để hiện Title
        </span>
    </div><hr>
    <div id="app-3">
        <span v-if="seen"><b>Ví dụ 3 : </b>"seen: true" để hiện, "seen: false" để ẩn </span>
    </div><hr>
    <div id="app-4">
        <b>Ví dụ 4:</b>
        <ol>
            <li v-for="todo in todos">
                {{ todo.text }}
            </li>
        </ol>
    </div><hr>
    <div id="app-5">
        <b>Ví dụ 5:</b>
        <p>{{ message }}</p>
        <button v-on:click="reverseMessage">Đảo ngược</button>
    </div><hr>
    <div id="app-6">
        <b>Ví dụ 6:</b>
        <p>{{ message }}</p>
        <input v-model="message">
    </div><hr>
    <div id="app-7">
        <b>Ví dụ 7:</b>
        <ol>
            <todo-item v-for="item in groceryList" v-bind:todo="item" v-bind:key="item.id"></todo-item>
        </ol>
    </div><hr>
    <div id="app-8">
        <b>Ví dụ 8:</b>
        <p v-html="testHTML">Facebbok : {{testHTML}}</p>
    </div><hr>
    <div id="app-9">
        <b>Ví dụ 9:</b>
        <p>Gía trị : {{dem}} </p>
        <button v-on:click="tangGiaTri">Tăng giá trị</button>
    </div><hr>
    <div id="app-10">
        <b>Ví dụ 10:</b>
        <p v-on:mousemove="tinhToaDo">Tọa độ của chuột là :{{x}} - {{y}}</p>
    </div><hr>
    <div id="app-11">
        <b>Ví dụ 11:</b>
        <p>Thông điệp ban đầu: "{{ message }}"</p>
        <p>Thông điệp bị đảo ngược (computed): "{{ reversedMessage }}"</p>
    </div><hr>
    <div id="app-12">
        <b>Ví dụ 12:</b>
        <p>Thông điệp ban đầu: "{{ message }}"</p>
        <p>Thông điệp bị đảo ngược: "{{ reverseMessage() }}"</p>
    </div><hr>
    <div id="app-13">
        <b>Ví dụ 13:</b>
        <div id="demo">{{ fullName }}</div>
    </div><hr>
    <div id="app-14">
        <b>Ví dụ 14:</b>
        <p>
            Hãy hỏi một câu hỏi yes/no:
            <input v-model="question">
        </p>
        <p>{{ answer }}</p>
    </div><hr>
    <div id="app-15">
        <b>Ví dụ 15:</b>
        <div class="static" v-bind:class="{ active: isActive, 'text-danger': hasError }">Test 15</div>
    </div><hr>
    <div id="app-16">
        <b>Ví dụ 16:</b>
        <div v-bind:class="[activeClass, errorClass]">Test 16</div>
    </div><hr>
    <div id="app-17">
        <b>Ví dụ 17:</b>
        <div v-bind:class="[{ active: isActive }, errorClass]">Test 17</div>
    </div><hr>
    <div id="app-18">
        <b>Ví dụ 18:</b>
        <div v-bind:style="styleObject">Test 18</div>
    </div><hr>
    <div id="app-19">
        <b>Ví dụ 19:</b><br>
        <button @click="xacDinh = !xacDinh">Hiển thị Menu</button>
        <template v-if="xacDinh">
            <div>Menu 1</div><hr>
            <div>Menu 2</div><hr>
            <div>Menu 3</div><hr>
            <div>Menu 4</div><hr>
            <div>Menu 5</div><hr>
        </template>
    </div><hr>
    <div id="app-20">
        <b>Ví dụ 20 : </b>
        
        <template v-if="username">
            <label>Username</label>
            <input placeholder="Nhập username" key="username-input">
        </template>
        <template v-else>
            <label>Email</label>
            <input placeholder="Nhập địa chỉ email" key="email-input">
        </template>
        <button @click="username = !username">Thay đổi kiểu đăng nhập</button>
    </div><hr>
    <div id="app-21">
        <b>Ví dụ 21 :</b>
        <button @click="xacDinh = !xacDinh">Hiển thị Menu</button>
        <div v-show="xacDinh">Menu 1</div>
        <div v-show="xacDinh">Menu 2</div>
        <div v-show="xacDinh">Menu 3</div>
        <div v-show="xacDinh">Menu 4</div>
        <div v-show="xacDinh">Menu 5</div>
    </div><hr>
    <div id="app-22">
        <b>Ví dụ 22 :</b>
        <ul>
            <li v-for="menu in menus">{{menu}}</li>
        </ul>
    </div><hr>
    <div id="app-23">
        <b>Ví dụ 23 :</b>
        <tempkate v-for="(menu, index) in menus">
            <h3>{{menu}}</h3>
            <p>{{index}}</p>
        </tempkate>
    </div><hr>
    <div id="app-24">
        <b>Ví dụ 24 : </b>
        <ul>
            <li v-for="student in students">
                <a v-for="(value, key, index) in student">{{key}} : {{value}} : ({{index}}) | </a>
            </li>
        </ul>
    </div><hr>
    <div id="app-25">
        <b>Ví dụ 25 :</b>
        <button v-on:click="greet">Chào</button>
    </div><hr>
    <div id="app-26">
        <b>Ví dụ 26 : </b>
        <button v-on:click="counter += 1">Đếm cừu</button>
        <p>{{ counter }} con cừu.</p>
    </div><hr>
    <div id="app-27">
        <b>Ví dụ 27</b>
        <button v-on:click="greet">Chào mừng</button>
    </div><hr>
    <div id="app-28">
        <b>Ví dụ 28</b>
        <button v-on:click="say('Xin Chào')">Hãy nói Xin Chào</button>
        <button v-on:click="say('Tạm Biệt')">Hãy nói Tạm biệt</button>
    </div><hr>
    <div id="app-29">
        <b>Ví dụ 29</b><br>
        <span>Cọn món :</span><br>
        <input type="checkbox" id="com-chien-toi" value="Cơm chiên tỏi" v-model="checkedNames">
        <label for="com-chien-toi">Cơm chiên tỏi</label><br>
        <input type="checkbox" id="dot-bi-xao-toi" value="Đọt bí xào tỏi" v-model="checkedNames">
        <label for="dot-bi-xao-toi">Đọt bí xào tỏi</label><br>
        <input type="checkbox" id="canh-rau-rung" value="Canh rau rừng" v-model="checkedNames">
        <label for="canh-rau-rung">Canh rau rừng</label>
        <br>
        <span>Món đã chọn: {{ checkedNames }}</span>
    </div><hr>
    <div id="app-30">
        <b>Ví dụ 30</b><br>
        <select v-model="selected">
            <option disabled value="">Vui lòng chọn món</option>
            <option>Đọt bí xào tỏi</option>
            <option>Canh bông điên điển</option>
            <option>Lẩu nấm</option>
        </select>
        <span>Món đã chọn: {{ selected }}</span>
    </div><hr>
    <div id="app-31">
        <b>Ví dụ 31 :</b>
        <select v-model="selected">
            <option v-for="option in options" v-bind:value="option.value">
                {{ option.text }}
            </option>
        </select>
        <span>Giá tiền: {{ selected }}</span>
    </div><hr>
    <div id="app-32">
        <b>Ví dụ 32 :</b>
        <input type="checkbox" id="cuong" value="Cuong" v-model="checkedNames">
        <label for="jack">Cường</label>
        <input type="checkbox" id="chuong" value="Chuong" v-model="checkedNames">
        <label for="john">Chương</label>
        <input type="checkbox" id="hoan" value="Hoan" v-model="checkedNames">
        <label for="mike">Hoan</label>
        <input type="checkbox" id="dai" value="Dai" v-model="checkedNames">
        <label for="mike">Đại</label>
        <input type="checkbox" id="hoang" value="Hoang" v-model="checkedNames">
        <label for="mike">Hoàng</label>
        <br>
        <span>Checked names: {{ checkedNames }}</span>
    </div>
    <div class="footer"></div>
    <script src="index.js"></script>  
</body>
</html>
